XnDerivedCast.h File Reference

Go to the source code of this file.

## Macros

#define | DERIVED_CAST_IMPL(T, enm)
#define | dynamic_cast derived_cast

## Macro Definition Documentation

## DERIVED_CAST_IMPL

#define DERIVED_CAST_IMPL | ( |  | T,
|  |  | enm )

Value:
template<> \
T* derived_cast<T*>(ModuleProductionNode* pPrdNode) \
{ \
return (T*)pPrdNode->m_aInterfaces[enm]; \
}

## dynamic_cast

#define dynamic_cast derived_cast